﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Features</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Features</h1>
        <p>The salient features of Analytics module include:</p>
        <ul>
            <li>Key reports based on different query options such as SQL query, Runtime analytics controls, and Custom queries.</li>
            <li>Non-elastic and Elasticsearch- based analytical queries to fetch data; also known as <strong>Analytics Version 1</strong> (V1) and&#160; <strong>Analytics Version 2</strong> (V2), respectively.</li>
            <li>
                <p>Supports merged interface to provide a compact view of all analytics controls, and&#160;removes duplicate user interface elements from V1 and V2 pages.</p>
            </li>
            <li>Merged interface enables you to generate reports and save in multiple storage systems such as Elasticsearch, database, or the local drive or simply send email to intended audience without saving the data anywhere.</li>
            <li>View Elasticsearch history and compare different histories.</li>
            <li>View the reports generated from ES or Non-ES Analytics based on access rights for different user types (for example, admin user).</li>
            <li>Support for&#160;<strong>dynamic attributes&#160;</strong>in Analytics Version 2 controls.</li>
            <li><strong>Multiple indices selection</strong>&#160;during the creation of Elasticsearch control.</li>
            <li>Support for&#160;<strong>Date Range Filters</strong>&#160;in the Elasticsearch-based Analytics controls.</li>
            <li>Provision to filter existing Elasticsearch data based on user context or organization context using ES-based JSON queries.</li>
            <li>Preventative analytical controls, which can be added to the Entitlement Update Rule.</li>
            <li><strong style="text-align: left;">Consolidated Report</strong>&#160;on all notifications by Saviynt Identity Governance and Administration (IGA) for Preventive Control and Detective Control actions.</li>
            <li>Analytical reports of violations with actionable features such as Open, Accept, Revoke, or Further Review.</li>
            <li>Ability to edit Accept, Revoke, or Further Review actions from the Run History page.</li>
            <li>Reminder notifications for “about-to-expire” accepted violations.</li>
            <li>Provision to assign a conflict for further review to a user or user group.</li>
            <li>Reports available in various graphical representations such as tile chart, pie chart, bar chart, line chart, gauge chart, and donut chart.</li>
            <li>Assessment of reports and revoke action(s).</li>
            <li>New and improved UI for&#160;<strong>Analytics History</strong>&#160;(V1 and V2)<ul><li>A new, user-friendly <strong>Analytics History</strong>&#160;interface (also known as <em>Flat History</em>) which provides&#160;<em>flat view</em>&#160;of analytics controls, along with advanced filtering and search functionalities.</li><li>Analytics History page that provides the category&#160;and the sub-category based layout.</li></ul></li>
            <li>Provision for the delegate user to view the control data of the parent user in addition to the individual (own) control data, for analytics controls in <strong>Analytics History</strong> page.</li>
            <li><strong>Analytics History</strong> can be viewed&#160;only&#160;by Owners and the respective Delegates.</li>
            <li>Provision to view&#160;<strong>Analytics History</strong> based on an organization or an endpoint context.</li>
            <li>Utility Job&#160;to migrate all your legacy Version 1 controls to Elasticsearch-based Version 2 Controls.</li>
            <li>Archive List&#160;page for both&#160;Analytics Version 1&#160;and&#160;Version 2&#160;controls including the option to&#160;download archived files.</li>
            <li>Downloading archived analytics control data in the CSV format from the Analytics History Details page for Analytics Version 1 and Version 2 controls.</li>
            <li>Configuration and option to download analytics control records in a single file rather than multiple files, thus improving performance and efficiency.</li>
            <li>Exporting&#160;Analytics History in JSON format, updating JSON query, and importing the updated JSON to kick-off violations, if any.</li>
            <li>Exporting Analytics History to the desired user's email, also including the summary report provided in a single zip file containing one zip file for each control. Each zip file contains the Microsoft Excel file of all open and accepted violations for the control.</li>
            <li>Capability to&#160;compare two previously run analytics and&#160;export the results in a&#160;<b>Comparison Report</b>.</li>
            <li>Display of date in Analytics Controls and Analytics Reports in the configured format.</li>
            <li>Improved AWS security visualizations&#160;<ul><li>To harden security, you can use analytics control to identify Elasticsearch domains which are open to the Internet. </li><li>Specifically, you can use analytics control to fetch VPC and AWS Security Groups associated with the AWS Elasticsearch to show publicly accessible Elasticsearch domains.&#160;</li></ul></li>
        </ul>
    </body>
</html>